<ui:decorate template="menu/_menu_template.xhtml" xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich">
    <ui:define name="menu_title">
        <h:outputLink value="/GazelleHL7Validator/">
            <h:outputText styleClass="navbar-brand" value="#{messages['net.ihe.gazelle.hl7.GazelleHL7Validator']}"/>
        </h:outputLink>
    </ui:define>
    <ui:define name="menu_navigation_links">
        <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true"
               aria-expanded="false">#{messages['net.ihe.gazelle.hl7.HL7v2xValidationTool']}<span class="caret"></span></a>
            <ul class="dropdown-menu">
                <li><a href="/GazelleHL7Validator/browser/profilesList.seam"><span class="gzl-icon-list"></span>#{messages['gazelle.hl7.validator.BrowseHL7MessageProfiles']}</a>
                </li>
                <li><a href="/GazelleHL7Validator/browser/resourcesList.seam"><span class="gzl-icon-folder-open"></span>#{messages['gazelle.hl7.validator.BrowseResources']}</a>
                </li>
                <h:panelGroup rendered="#{s:hasRole('admin_role')}">
                    <li><a href="/GazelleHL7Validator/admin/statistics.seam"><span class="gzl-icon-pie-chart"></span>#{messages['gazelle.hl7.validator.Statistics']}</a>
                    </li>
                </h:panelGroup>
            </ul>
        </li>
        <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true"
               aria-expanded="false">#{messages['net.ihe.gazelle.hl7.HL7v3ValidationTool']}<span
                    class="caret"></span></a>
            <ul class="dropdown-menu">
                <li><a href="/GazelleHL7Validator/documentation/hl7v3Validator.seam"><span class="gzl-icon-book"></span>#{messages['net.ihe.gazelle.hl7.ValidatorDocumentation']}</a>
                </li>
                <h:panelGroup rendered="#{s:hasRole('admin_role')}">
                    <li><a href="/GazelleHL7Validator/admin/hl7v3statistics.seam"><span class="gzl-icon-pie-chart"></span>#{messages['gazelle.hl7.validator.Statistics']}</a>
                    </li>
                </h:panelGroup>
            </ul>
        </li>
    </ui:define>
    <ui:define name="menu_user_actions_right">
        <h:panelGroup rendered="#{s:hasRole('admin_role')}">
            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true"
                   aria-expanded="false">#{messages['gazelle.hl7mpr.Administration']}<span
                        class="caret"></span></a>
                <ul class="dropdown-menu">
                    <li><a href="/GazelleHL7Validator/admin/configure.seam"><span class="gzl-icon-gears"></span>#{messages['gazelle.hl7.validator.ConfigureApplication']}</a>
                    </li>
                    <li><a href="/GazelleHL7Validator/admin/allUsers.seam"><span class="gzl-icon-users"></span>#{messages['gazelle.hl7.validator.ManageUsersAccesses']}</a>
                    </li>
                    <li><a href="/GazelleHL7Validator/admin/submitProfile.seam"><span class="gzl-icon-file-text-o"></span>#{messages['gazelle.hl7.validator.RegisterNewProfiles']}</a>
                    </li>
                    <li><a href="/GazelleHL7Validator/admin/submitResource.seam"><span class="gzl-icon-database"></span>#{messages['gazelle.hl7.validator.RegisterNewResources']}</a>
                    </li>
                    <li><a href="/GazelleHL7Validator/admin/linkProfileResource.seam"><span class="gzl-icon-link"></span>#{messages['gazelle.hl7.validator.LinkProfilesToResources']}</a>
                    </li>
                    <li><a href="/GazelleHL7Validator/docum/upload/uploadConstraints.seam"><span
                            class="gzl-icon-upload"></span>#{messages['net.ihe.gazelle.hl7.ManageHL7v3ConstraintsFile']}</a>
                    </li>
                </ul>
            </li>
        </h:panelGroup>
        <!-- First and classic CAS button  -->
        <ui:include src="/layout/_login_menu.xhtml"/>

    </ui:define>
</ui:decorate>
